:root {
    /* font-size: calc(15px + 0.390625vw); */
    --text-base: calc(15px + 0.2vw);
}

html {
    text-wrap: pretty;
}
h1, h2, h3, h4, h5, h6 {
    text-wrap: balanced;
}
/*
.hidden {
    display: none !important;
}
*/

@media screen and (max-width: 999px) {
    .header__primary-nav, .header__secondary-nav {
        flex-wrap: nowrap;
    }
}
.header__primary-nav-item [data-title]:before {
    display: none;
}

slideshow-carousel a.content-over-media {
    display: contents;
}
slideshow-carousel .slideshow__slide-content {
    pointer-events: none;
}
slideshow-carousel .slideshow__slide-content a {
    pointer-events: all;
}

.product-gallery {
    --product-gallery-thumbnail-size: 7rem;
}

.product-card__image,
.product-gallery__media img,
.product-gallery__thumbnail img,
.rebuy-widget .rebuy-product-block .rebuy-product-media img, 
.rebuy-recommended-products .rebuy-product-block .rebuy-product-media img {
    aspect-ratio: 3 / 4;
    object-fit: cover;
}

.product-card__info, .product-card__info .v-stack {
    justify-items: stretch;
}
@media screen and (max-width: 999px) {
    .product-card__info, .product-card__info * {
        text-align: left;
    }
    .product-card__info :is(.price-list,.rating-badge)  {
        justify-content: left;
        justify-items: left;
    }
}
.product-card__info .product-title {
    margin: -.5rem 0;
    padding: .5rem 0;
}

.product-card__quick-add-button {
    background: rgba(255,255,255,0.8);
    display: flex;
    font-size: .8rem;
    font-weight: bold;
    gap: 0.5em;
    inset-block-end: 0;
    inset-inline: 0;
    justify-content: center;
    padding: .5rem 1rem;
}
.product-card__quick-add-button:after {
    content: 'Quick View';
}
@media screen and (min-width: 1000px) {
    .product-card__quick-add-button {
        font-size: 1rem;
        padding: 1rem;
    }
}

.badge--on-sale {
    background: #ff6699;
}

.breadcrumb { 
    display: block;
}
@media screen and (max-width: 999px) {
    .breadcrumb .breadcrumb__list-item:last-child {
        display: none;
    }
    .shopify-section--main-collection .breadcrumb.breadcrumb--floating {
        top: 4rem;
    }
    .shopify-section--main-collection .collection {
        margin-top: 2rem;
    }
}
.breadcrumb.breadcrumb--floating.breadcrumb--no-floating {
    inset-block-start: auto;
    inset-inline-start: auto;
    margin: 1rem var(--container-gutter);
    position: relative;
}

.collection-links {
    justify-content: center;
}
.collection-links .button.button--outline {
    background: rgba(0,0,0,0.2);
    backdrop-filter: blur(10px);
    border: 1px solid #FFF;
    color: #FFF;
    padding: .4rem 1rem;
}
.collection-links .button.button--outline:hover {
    text-decoration: underline;
}
.stamped-main-badge .stamped-badge[data-rating="0.0"] {
    display: none;
}

/*
.product .mobile {
    display: none;
}
@media screen and (max-width: 999px) {
    .product {
        grid: "mobile-product-info" var(--product-grid, none);
    }    
    .product .product-info [data-block-type="title"], .product .product-info [data-block-type="badges"], .product .product-info [data-block-type="@app"], .product .product-info [data-block-type="price"] {
        display: none;
    }
    .product .mobile {
        display: flex;
        margin: 2rem 0 0;
    }
    .product .mobile .product-info .product-info__block-item {
        display: none;
    }
    .product .mobile .product-info [data-block-type="title"], .product .mobile .product-info [data-block-type="badges"], .product .mobile .product-info [data-block-type="@app"], .product .mobile .product-info [data-block-type="price"] {
        display: flex;
    }
}
*/

variant-picker .variant-picker__option-values.h-stack {
    align-items: start;
}
/*
variant-picker .color-swatch.bluesky, variant-picker .color-swatch.flamingo, variant-picker .color-swatch.lemon-drop {
    margin-bottom: 1rem;
    
    &:after {
        content: 'NEW';
        position: absolute;
        top: 100%;
        left: 50%;
        transform: translateX(-50%);
        font-size: .8rem;
    }
}
*/      
variant-picker .color-swatch {
    &.mint-julep, &.lemon-drop, &.cosmos, &.lilac {        
        margin-bottom: 1rem;
        &:after {        
            content: 'SALE';
            color: #F69;
            position: absolute;
            top: 100%;
            left: 50%;
            transform: translateX(-50%);
            font-size: .8rem;
        }
    }
}
#product-info-8791118577817-template--20409331777689__main, 
#product-info-8852125712537-template--20409331777689__main,
#product-info-8852087537817-template--20409331777689__main,
#product-info-8791120511129-template--20409331777689__main,
#product-info-8791123394713-template--20409331777689__main,
#product-info-8791124246681-template--20409331777689__main,
#product-info-8791117758617-template--20409331777689__main,
#product-info-8791114612889-template--20409331777689__main,
#product-info-8801934377113-template--20409331777689__main,
#product-info-8801938374809-template--20409331777689__main,
#product-info-8801935720601-template--20409331777689__main,
#product-info-8832376242329-template--20409331777689__main,
#product-info-8834772598937-template--20409331777689__main,
#product-info-8804355276953-template--20409331777689__main,
#product-info-8832372932761-template--20409331777689__main {
    & variant-picker .color-swatch {
        &.mint-julep, &.lemon-drop, &.cosmos, &.lilac {        
            margin-bottom: initial;
            &:after {        
                content: initial;
            }
        }
    }
}


variant-picker .size-chart {
    color: rgb(var(--button-background));
    position: relative;
}
variant-picker .size-chart svg {
    position: absolute;
    right: calc(100% + .5rem);
    top: 50%;
    transform: translateY(-50%);
}

.fit-guidance {
    display: flex;
    flex-direction: column;
    gap: .5rem;
}
.fit-guidance dl.title {
    display: flex;
    flex-direction: row;
    gap: 1ch;
}
.fit-guidance dl.title dt {
    font-weight: bold;
}
.fit-guidance .line {
    display: grid;
    gap: 1rem;
    grid-template-columns: repeat(5, minmax(0, 1fr));
    position: relative;
}
.fit-guidance .line:before {
    content: '';
    background: #EEE;
    inset: 25% 0;
    position: absolute;
    z-index: -1;
}
.fit-guidance .line div {
    background: rgb(var(--button-background));
    border-radius: .1rem;
    grid-column-start: 3;
    height: .5rem;    
}
.fit-guidance .labels {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

@media screen and (min-width: 1300px) {
    .product-list {
        --product-list-items-per-row: 4 !important;
    }
}
/*
@media screen and (min-width: 1800px) {
    .product-list {
        --product-list-items-per-row: 5 !important;
    }
}
@media screen and (min-width: 2200px) {
    .product-list {
        --product-list-items-per-row: 6 !important;
    }
}
*/

@media screen and (min-width: 1000px) {
    .shopify-section--main-product .section-spacing {
        padding-block-start: inherit;
    }
}

.klaviyo-bis-trigger.block {
    display: block !important;
}
.klaviyo-bis-trigger.hidden {
    display: none !important;
}

.swym-storefront-layout-drawer {
    z-index: 9999999999 !important;
}
